GDB (xrefs)

Enumerations | Functions
/tmp/gdb-8.1/gdb/obsd-tdep.c File Reference
`#include "defs.h"`
`#include "frame.h"`
`#include "symtab.h"`
`#include "objfiles.h"`
`#include "obsd-tdep.h"`

Go to the source code of this file.

## Enumerations
enum | { OBSD_SIGHUP = 1, OBSD_SIGINT = 2, OBSD_SIGQUIT = 3, OBSD_SIGILL = 4, OBSD_SIGTRAP = 5, OBSD_SIGABRT = 6, OBSD_SIGEMT = 7, OBSD_SIGFPE = 8, OBSD_SIGKILL = 9, OBSD_SIGBUS = 10, OBSD_SIGSEGV = 11, OBSD_SIGSYS = 12, OBSD_SIGPIPE = 13, OBSD_SIGALRM = 14, OBSD_SIGTERM = 15, OBSD_SIGURG = 16, OBSD_SIGSTOP = 17, OBSD_SIGTSTP = 18, OBSD_SIGCONT = 19, OBSD_SIGCHLD = 20, OBSD_SIGTTIN = 21, OBSD_SIGTTOU = 22, OBSD_SIGIO = 23, OBSD_SIGXCPU = 24, OBSD_SIGXFSZ = 25, OBSD_SIGVTALRM = 26, OBSD_SIGPROF = 27, OBSD_SIGWINCH = 28, OBSD_SIGINFO = 29, OBSD_SIGUSR1 = 30, OBSD_SIGUSR2 = 31, OBSD_SIGTHR = 32 }

## Functions
CORE_ADDR | obsd_skip_solib_resolver (struct gdbarch *gdbarch, CORE_ADDR pc)
static enum gdb_signal | obsd_gdb_signal_from_target (struct gdbarch *gdbarch, int signal)
static int | obsd_gdb_signal_to_target (struct gdbarch *gdbarch, enum gdb_signal signal)
static int | obsd_auxv_parse (struct gdbarch *gdbarch, gdb_byte **readptr, gdb_byte *endptr, CORE_ADDR *typep, CORE_ADDR *valp)
void | obsd_init_abi (struct gdbarch_info info, struct gdbarch *gdbarch)

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
OBSD_SIGHUP |
OBSD_SIGINT |
OBSD_SIGQUIT |
OBSD_SIGILL |
OBSD_SIGTRAP |
OBSD_SIGABRT |
OBSD_SIGEMT |
OBSD_SIGFPE |
OBSD_SIGKILL |
OBSD_SIGBUS |
OBSD_SIGSEGV |
OBSD_SIGSYS |
OBSD_SIGPIPE |
OBSD_SIGALRM |
OBSD_SIGTERM |
OBSD_SIGURG |
OBSD_SIGSTOP |
OBSD_SIGTSTP |
OBSD_SIGCONT |
OBSD_SIGCHLD |
OBSD_SIGTTIN |
OBSD_SIGTTOU |
OBSD_SIGIO |
OBSD_SIGXCPU |
OBSD_SIGXFSZ |
OBSD_SIGVTALRM |
OBSD_SIGPROF |
OBSD_SIGWINCH |
OBSD_SIGINFO |
OBSD_SIGUSR1 |
OBSD_SIGUSR2 |
OBSD_SIGTHR |

Definition at line 41 of file obsd-tdep.c.

## Function Documentation

## ◆ obsd_auxv_parse()

static int obsd_auxv_parse | ( | struct gdbarch * | gdbarch,
|  | gdb_byte ** | readptr,
|  | gdb_byte * | endptr,
|  | CORE_ADDR * | typep,
|  | CORE_ADDR * | valp
| ) |  |
| static

Definition at line 293 of file obsd-tdep.c.

References builtin_type::builtin_data_ptr, builtin_type::builtin_int, builtin_type(), extract_unsigned_integer(), gdbarch_byte_order(), and TYPE_LENGTH.

Referenced by obsd_init_abi().

## ◆ obsd_gdb_signal_from_target()

static enum gdb_signal obsd_gdb_signal_from_target | ( | struct gdbarch * | gdbarch,
|  | int | signal
| ) |  |
| static

Definition at line 80 of file obsd-tdep.c.

References OBSD_SIGABRT, OBSD_SIGALRM, OBSD_SIGBUS, OBSD_SIGCHLD, OBSD_SIGCONT, OBSD_SIGEMT, OBSD_SIGFPE, OBSD_SIGHUP, OBSD_SIGILL, OBSD_SIGINFO, OBSD_SIGINT, OBSD_SIGIO, OBSD_SIGKILL, OBSD_SIGPIPE, OBSD_SIGPROF, OBSD_SIGQUIT, OBSD_SIGSEGV, OBSD_SIGSTOP, OBSD_SIGSYS, OBSD_SIGTERM, OBSD_SIGTRAP, OBSD_SIGTSTP, OBSD_SIGTTIN, OBSD_SIGTTOU, OBSD_SIGURG, OBSD_SIGUSR1, OBSD_SIGUSR2, OBSD_SIGVTALRM, OBSD_SIGWINCH, OBSD_SIGXCPU, and OBSD_SIGXFSZ.

Referenced by obsd_init_abi().

## ◆ obsd_gdb_signal_to_target()

static int obsd_gdb_signal_to_target | ( | struct gdbarch * | gdbarch,
|  | enum gdb_signal | signal
| ) |  |
| static

Definition at line 187 of file obsd-tdep.c.

References OBSD_SIGABRT, OBSD_SIGALRM, OBSD_SIGBUS, OBSD_SIGCHLD, OBSD_SIGCONT, OBSD_SIGEMT, OBSD_SIGFPE, OBSD_SIGHUP, OBSD_SIGILL, OBSD_SIGINFO, OBSD_SIGINT, OBSD_SIGIO, OBSD_SIGKILL, OBSD_SIGPIPE, OBSD_SIGPROF, OBSD_SIGQUIT, OBSD_SIGSEGV, OBSD_SIGSTOP, OBSD_SIGSYS, OBSD_SIGTERM, OBSD_SIGTRAP, OBSD_SIGTSTP, OBSD_SIGTTIN, OBSD_SIGTTOU, OBSD_SIGURG, OBSD_SIGUSR1, OBSD_SIGUSR2, OBSD_SIGVTALRM, OBSD_SIGWINCH, OBSD_SIGXCPU, and OBSD_SIGXFSZ.

Referenced by obsd_init_abi().

## ◆ obsd_init_abi()

void obsd_init_abi | ( | struct gdbarch_info | info,
|  | struct gdbarch * | gdbarch
| ) |  |

Definition at line 319 of file obsd-tdep.c.

References obsd_auxv_parse(), obsd_gdb_signal_from_target(), obsd_gdb_signal_to_target(), set_gdbarch_auxv_parse(), set_gdbarch_gdb_signal_from_target(), and set_gdbarch_gdb_signal_to_target().

Referenced by amd64obsd_init_abi(), i386obsd_init_abi(), mips64obsd_init_abi(), and sparc64obsd_init_abi().

## ◆ obsd_skip_solib_resolver()

CORE_ADDR obsd_skip_solib_resolver | ( | struct gdbarch * | gdbarch,
|  | CORE_ADDR | pc
| ) |  |

Definition at line 28 of file obsd-tdep.c.

References BMSYMBOL_VALUE_ADDRESS, find_solib_trampoline_target(), frame_unwind_caller_pc(), get_current_frame(), and lookup_minimal_symbol().

Referenced by alphaobsd_init_abi(), armobsd_init_abi(), sparc32obsd_init_abi(), and sparc64obsd_init_abi().